@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background-image: url('../img/Point.jpg');
    background-size: cover; /* Pour ajuster la taille de l'image à la fenêtre du navigateur */
    background-position: center; /* Pour centrer l'image */
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    position: relative;
    width: 400px;
    height: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container span {
    position: absolute;
    left: 0;
    width: 32px;
    height: 6px;
    background: #004b90;
    border-radius: 8px;
    transform-origin: 128px;
    transform: scale(2.2) rotate(calc(var(--i) * (360deg / 50)));
    animation: animateBlink 3s linear infinite;
    animation-delay: calc(var(--i) * (3s / 50));
}

@keyframes animateBlink {
    0% {
        background: #00a8e6;
    }

    25% {
        background: #004b90;
    }
}

.login-box {
    width: 600px;
    height: 600px;
    margin-top: 20px;
    position: absolute;
    background: #fff;
    box-shadow: 0 15px 25px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    margin: 100px auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.logo {
    width: 140px; /* Ajustez la taille selon vos besoins */
    margin: 0 auto; /* Centre l'image horizontalement */
    display: block; /* Pour centrer correctement */
}
.login-box form {
    width: 100%;
    padding: 0 50px;
    display: flex;
    flex-direction: column;
    align-items: center; /* Centrer les éléments horizontalement */
}

h2 {
    font-size: 2em;
    color: #004b90;
    text-align: center;
}

.input-box {
    position: relative;
    margin: 15px 0;
    width: 100%;
}

.input-box label {
    position: absolute;
    top: 10px;
    left: 15px;
    color: #666;
    font-size: 14px;
    transition: 0.3s;
    margin-top: 10px;
    background-color: transparent;
}

.input-box input {
    width: 100%;
    padding: 15px;
    border: 1px solid #00a8e6;
    border-radius: 5px;
    transition: border-color 0.3s;
    font-size: 15px;
    color: gray;
    background-color: white;
    margin-top: 10px;
}

.input-box input:focus {
    border: 2px solid #004b90;
}

.input-box input:focus~label,
.input-box input:valid~label {
    top: -10px;
    font-size: .8em;
    background: white;
    padding: 0 6px;
    color: grey;
}

.forgot-pass {
    margin: -15px 0 10px;
    text-align: center;
    margin: 10px 0;
}

.forgot-pass a {
    font-size: .85em;
    color: grey;
    text-decoration: none;
}

.forgot-pass a:hover {
    text-decoration: underline;
}

.btn {
    width: 100%;
    height: 45px;
    background: #00a8e6;
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1em;
    color: white;
    font-weight: 600;
    margin-top: 20px;
}
.btn:hover{
    background: #004b90;
}

.signup-link {
    margin: 20px 0 10px;
    text-align: center;
}

.signup-link a {
    font-size: 1em;
    color: #0ef;
    text-decoration: none;
    font-weight: 600;
}

.signup-link a:hover {
    text-decoration: underline;
}

/* Responsive styles */
@media (max-width: 768px) {
    .container {
      width: 90%; /* Ajustez la largeur pour les smartphones */
      max-width: none; /* Réinitialisez la largeur maximale */
      height: auto; /* Ajustez la hauteur automatiquement */
      margin: 50px auto; /* Marge réduite pour les smartphones */
    }
  
    .login-box {
      width: 90%; /* Ajustez la largeur pour les smartphones */
      max-width: none; /* Réinitialisez la largeur maximale */
      height: auto; /* Ajustez la hauteur automatiquement */
      margin: 50px auto; /* Marge réduite pour les smartphones */
      padding: 20px; /* Augmentez le padding pour plus d'espace intérieur */
    }

    .login-box form {
        width: 100%;
        padding: 0 20px;
        display: flex;
        flex-direction: column;
        align-items: center; /* Centrer les éléments horizontalement */
    }

    .input-box input {
      height: 40px; /* Hauteur réduite pour les smartphones */
      font-size: 0.9em; /* Taille de police réduite pour les smartphones */
      width: 100%;
    }
  
    h2 {
      font-size: 1.5em; /* Taille de police réduite pour les smartphones */
    }
  
    .btn {
      height: 45px; /* Augmentez légèrement la hauteur du bouton */
      font-size: 0.9em; /* Taille de police réduite pour les smartphones */
      width: 100%;
    }
  }
  